cordova.define("cordova-plugin-gntel", function(require, exports, module) {
    module.exports = {
        initCallgate: function (isFirst, successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "GntelPlugin", "initCallgate", [isFirst]);
        },
        
        
        setLogCapacity: function (capacity) {
            cordova.exec(null, null, "GntelPlugin", "setLogCapacity", [capacity]);
        },
        pushGLog: function (type, log) {
            cordova.exec(null, null, "GntelPlugin", "pushGLog", [type, log]);
        },
        getGLog: function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "GntelPlugin", "getGLog", []);
        },
        
        setUpdateContentsUrl: function (contentsUrl, successCallback) {
            cordova.exec(successCallback, null, "GntelPlugin", "setUpdateContentsUrl", [contentsUrl]);
        },
        setAllowBeta: function (isAllow, successCallback) {
            cordova.exec(successCallback, null, "GntelPlugin", "setAllowBeta", [isAllow]);
        },
        getUpdateContentsUrl: function (successCallback) {
            cordova.exec(successCallback, null, "GntelPlugin", "getUpdateContentsUrl", []);
        },
        getUpdateContentsVersion: function (successCallback) {
            cordova.exec(successCallback, null, "GntelPlugin", "getUpdateContentsVersion", []);
        },
        updateContents: function (successCallback, errorCallback) {
            cordova.exec(successCallback, errorCallback, "GntelPlugin", "updateContents", []);
        },
        loadLocalFile: function (filePath) {
            cordova.exec(null, null, "GntelPlugin", "loadLocalFile", [filePath]);
        },
        middleDBGenerator: function (successCallback ,errorCallback ,userfilename) {
            cordova.exec(successCallback ,errorCallback ,"GntelPlugin" ,"middleDBGenerator" ,[userfilename]);
        },
        updateMiddleDB: function (successCallback ,errorCallback ,userfileList) {
            cordova.exec(successCallback ,errorCallback ,"GntelPlugin" ,"updateMiddleDB" ,[userfileList]);
        },
        checkMIddleDBFileExist: function (successCallback ,errorCallback) {
            cordova.exec(successCallback ,errorCallback ,"GntelPlugin" ,"checkMIddleDBFileExist" ,[]);
        },
        setCallToNumber :  function(toNumber){
            // DO NOTHING IN IOS
        },
        installCallGate :  function(){
            // DO NOTHING IN IOS
        },
        hiddenPopupProfile :  function(){
             // DO NOTHING IN IOS
        },
        setProfileLayout : function(){
             // DO NOTHING IN IOS
        },
        putPreferences : function(values){
            // DO NOTHING IN IOS
        }
    };
});
